classification
Title: Make importlib.metadata._meta.PackageMetadata public
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.11, Python 3.10
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: FFY00, jaraco, miss-islington
Priority: normal Keywords: patch

Created on 2021-05-21 20:21 by FFY00, last changed 2021-10-18 19:02 by FFY00. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26299 merged FFY00, 2021-05-21 20:24
PR 26320 merged miss-islington, 2021-05-23 19:04
Messages (2)
msg394150 - (view) Author: Filipe LaĆ­ns (FFY00) * (Python triager) Date: 2021-05-21 20:21
This protocol is needed to write type hints, so it should be public.
msg394220 - (view) Author: miss-islington (miss-islington) Date: 2021-05-23 19:29
New changeset e394573c3c75d0611c4eb3f6e0018576ff911494 by Miss Islington (bot) in branch '3.10':
bpo-44210: make importlib.metadata._meta.PackageMetadata public (GH-26299)
https://github.com/python/cpython/commit/e394573c3c75d0611c4eb3f6e0018576ff911494
History
Date User Action Args
2021-10-18 19:02:52FFY00setstatus: open -> closed
stage: patch review -> resolved
2021-05-23 19:29:24miss-islingtonsetmessages: + msg394220
2021-05-23 19:04:15miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24914
2021-05-21 20:25:06FFY00setcomponents: + Library (Lib), - Installation
2021-05-21 20:24:35FFY00setkeywords: + patch
stage: patch review
pull_requests: + pull_request24902
2021-05-21 20:21:24FFY00create